Bug 534231 - (RHQ-1047) convert events history page to JSF
convert events history page to JSF
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
: SubFeature
Depends On: RHQ-1331 RHQ-933
Blocks: RHQ-1043
  Show dependency treegraph
Reported: 2008-11-04 13:32 EST by Joseph Marques
Modified: 2014-11-09 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-11-04 13:32:00 EST
features needed:

pagination / sort
delete selected items / purge all
click on row to see events details
search by severity / details
Comment 1 Joseph Marques 2008-11-17 09:29:26 EST
remember, this needs to work for 3 contexts: resources, resourceGroups, and autoGroups.
Comment 2 Joseph Marques 2008-12-13 19:18:30 EST
rev2367 - finish off conversion of events history to JSF; 
search/filtering works by severity, source, and details; 
display of event details upon click; 
verified working in resource and compatible group contexts; 
Comment 3 Jeff Weiss 2009-01-27 13:44:36 EST
Tested Delete, Purge All, Filtering, Sorting, Paging, Links.  see linked issues.

Comment 4 Red Hat Bugzilla 2009-11-10 15:22:43 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1047

Note You need to log in before you can comment on or make changes to this bug.